function love.load()
	img_particle = love.graphics.newImage("particle.png")
	
	blackhole={}
	blackhole[1]={x=400,y=300,particle={}}
	for a=1,30 do
		blackhole[1].particle[a]={x=math.random(-50,50),y=math.random(-50,50),direction=0,speed=0,xspeed=0,yspeed=0}
	end
	
	fpstimer=0
end

function love.update(dt)
	fpstimer=fpstimer+dt
	if fpstimer>1/75 then
		fpstimer=fpstimer-1/75
		
		for a=1,30 do
			blackhole[1].particle[a].direction=math.atan2(blackhole[1].particle[a].y,blackhole[1].particle[1].x)
			blackhole[1].particle[a].speed=math.sqrt(blackhole[1].particle[a].x^2+blackhole[1].particle[a].y^2)/200
			blackhole[1].particle[a].x=blackhole[1].particle[a].x+blackhole[1].particle[a].speed*math.cos(blackhole[1].particle[a].direction)
			blackhole[1].particle[a].y=blackhole[1].particle[a].y+blackhole[1].particle[a].speed*math.sin(blackhole[1].particle[a].direction)
		end
	end
	
	message=blackhole[1].particle[1].x..","..blackhole[1].particle[1].y
	print(message)
end

function love.draw()
	love.graphics.setColor(255,255,255,255)
	for a=1,30 do
		love.graphics.draw(img_particle,blackhole[1].x+blackhole[1].particle[a].x,blackhole[1].y+blackhole[1].particle[a].y,blackhole[1].particle[a].direction,1,1,32,32)
	end
end